Subject: Re: bug#32977: 26.1.50; Emacs (on gnome 3, wayland, debian buster) calculates incorrect horizontal positions

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Nov 2020 14:09:43 +0100

Kai Tetzlaff <[email-masked]> writes:

> The following happens within Gnome 3 (3.30, but also earlier versions),
> Wayland on Debian Buster on a Laptop with HiDPI display with fractional
> scaling factor set to 1.5.
>
> Position frame at the left border of the display, evaluate:
>
>     (frame-parameter (selected-frame) 'left)
>     ;; -10
>
> or
>
>     (car (frame-position (selected-frame)))
>     ;; '(+ -10)

(This bug report unfortunately got no response at the time.)

I can reproduce this bug in Emacs 28:

(set-frame-position (selected-frame) 0 0)
=> t
(frame-position (selected-frame))
=> (-10 . 66)

If I do this, I can clearly see that the frame isn't outside the screen
(i.e., I can see other windows between the Emacs frame and the border of
the screen):

(set-frame-position (selected-frame) 9 0)
=> t

But still:

(frame-position (selected-frame))
=> (-1 . 66)

This is a Debian bullseye system with Gnome Shell.

Anybody got an idea what's going on here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no